class Ball extends Cell {
   int Length = 1;
   int max_x  = 0;
   int max_y  = 0;
   int xdir;
   int ydir;
   int xspeed = 1;
   int yspeed = 1;

    Ball(int x, int y, int radius, color c, int life, int max_x, int max_y) {
    super(x, y, radius, c, life);
    this.max_x  = max_x;
    this.max_y  = max_y;
    xdir =  1;
    ydir =  1;
  }
  
  void move() {
      x += xdir*xspeed;
      y += ydir*yspeed;
      if (0 >= x) {
        setXDir(1);
      }
      if (x > max_x - 1) {
        setXDir(-1);
      }
      if (0 > y) {
        setYDir(1);
        int rnd = (int)random(0, 3);
        switch (rnd) {
          case  0 : y = 1;          break;
          case  1 : x += getXDir(); break;
          case  2 : x -= getXDir(); break;
        }          
      }
      if (y >= max_y) {
        setYDir(-1);
      }
  }

  void draw() {
    ledmatrix1.setPixel(x, y, c);
//  fill(c);
//  ellipse(x * radius * 2 + radius, y * radius * 2 + radius, radius * 2, radius * 2);
  }

  public void setXSpeed(int xs) { xspeed = xs;    }
  public void setYSpeed(int ys) { yspeed = ys;    }

  public void setXDir(int x) { xdir = x;    }
  public int  getXDir()      { return xdir; }
  public void setYDir(int y) { ydir = y;    }
  public int  getYDir()      { return ydir; }
}

