class Paddle extends Cell {
  int Length;

  Paddle(int x, int y, int radius, color c, int life, int length) {
    super(x, y, radius, c, life);
    this.Length = length;
  }
  
  int getLength() {
    return Length;
  }

  void setLength(int len) {
    this.Length = len;
  }

  void moveTo(int hand) {
    x += hand;
    if (0 >= x) x = 0;
    if (x >= 5) x = 5;
  }

  int checkCollision(int x, int y) {
    int result = 0;

    if (this.y != y) return 0;
    for (int i = 0; i < Length; i++) {
      if ((this.x + i) == x) result = i + 1;
    }
    return result;
  }

  void draw() {
    for (int i = 0; i < Length; i++) {
        ledmatrix1.setPixel((x + i) , y, c);
    }
  }
}
